import { identity } from './identity.js';
export { parseReactAsyncIterable, reactAsyncIterSpecialInfoSymbol, };
function parseReactAsyncIterable(value) {
    if (value[reactAsyncIterSpecialInfoSymbol]) {
        const { origSource, formatFn } = value[reactAsyncIterSpecialInfoSymbol];
        return {
            baseIter: origSource,
            formatFn: formatFn,
        };
    }
    return {
        baseIter: value,
        formatFn: (identity),
    };
}
const reactAsyncIterSpecialInfoSymbol = Symbol('reactAsyncIterSpecialInfoSymbol');
//# sourceMappingURL=ReactAsyncIterable.js.map