import { useAsyncIterMemo } from '../common/hooks/useAsyncIterMemo/index.js';
import { isAsyncIter } from '../common/isAsyncIter.js';
import { asyncIterShare } from '../common/iterOperators/asyncIterShare.js';
export { useSharedAsyncIter };
function useSharedAsyncIter(value) {
    return useAsyncIterMemo(value => (!isAsyncIter(value) ? value : asyncIterShare()(value)), [value]);
}
//# sourceMappingURL=index.js.map